package Pthread::GetThreadId;

use 5.008;
use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);
our @EXPORT_OK = qw(&getthreadid_np);
our %EXPORT_TAGS = ( 'all' => \@EXPORT_OK );
our @EXPORT = @EXPORT_OK;
our $VERSION = '0.01';

require XSLoader;
XSLoader::load('Pthread::GetThreadId', $VERSION);

# Preloaded methods go here.

1;

__END__

# Below is the stub of documentation.

=head1 SYNOPSIS
  use Pthread::GetThreadId;

  my $systhread_id = getthreadid_np();

=head1 DESCRIPTION

=over 4

=item getthreadid_np

Returns kernel level POSIX thread id as integer value.

=back

=head1 AUTHOR

Eugene Grosbein, E<lt>eugen@grosbein.netE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2014 by Eugene Grosbein

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.1 or,
at your option, any later version of Perl 5 you may have available.

=cut
